package com.sunwin.metro.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.*;

/**
 * jdk要求最低1.8
 * @author kane
 * @date 2019/12/4 18:02
 */
public class DateUtils {


    /**
     * 将date转化成yyyyMMddHHmmss的字符串
     * @param date 日期
     * @return String
     * @author kane
     * @date 2017-4-13 下午4:37:03
     */
    public static String dateToLongStringNoSep(Date date) {
        return dateToStringWithFormat(date, "yyyyMMddHHmmss");
    }


    /**
     * 将Date转换成指定日期格式的字符串
     * @param date   日期
     * @param format 日期格式
     * @return 字符串
     * @author kane
     * @date 2017-4-6 下午2:47:48
     */
    public static String dateToStringWithFormat(Date date, String format) {
        String str = "";
        if (date == null || format == null || format.length() == 0) {
            return str;
        }
        try {
            str = new SimpleDateFormat(format).format(date);
        } catch (Exception ignored) {
        }
        return str;
    }






}
